Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.server.http
Interface Authenticator

All Known Implementing Classes:
  AbstractAuthenticator

public interface Authenticator

Authenticator is deprecated. Use com.caucho.http.security.ServletAuthenticator instead.

Method Summary
`java.security.Principal` | `authenticate(HttpServletRequest request)` Deprecated.
`void` | `init(CauchoApplication app, RegistryNode params)` Deprecated.
`boolean` | `isUserInRole(HttpServletRequest request, java.security.Principal user, java.lang.String role)` Deprecated.
`java.security.Principal` | `login(HttpServletRequest request, HttpServletResponse response, ServletContext application, java.lang.String user, java.lang.String password, java.lang.String allowCookie)` Deprecated.
`void` | `logout(HttpServletRequest request)` Deprecated.

Method Detail

### init

    public void init(CauchoApplication app,
                     RegistryNode params)
              throws ServletException

  Deprecated.

  Initialize the authenticator.
  Parameters:
    `app` - the owning servlet context.

### authenticate

    public java.security.Principal authenticate(HttpServletRequest request)
                                         throws ServletException

  Deprecated.

  Authenticate a user for the current request. In general, Authenticators will login a user and store the saved information in the session. As an alternative, an Authenticator can save the state information in a persistent cookie.
  Parameters:
    `request` - the request trying to authenticate.

### login

    public java.security.Principal login(HttpServletRequest request,
                                         HttpServletResponse response,
                                         ServletContext application,
                                         java.lang.String user,
                                         java.lang.String password,
                                         java.lang.String allowCookie)
                                  throws ServletException

  Deprecated.

  Logs a user in with a user name and a password.
  Parameters:
    `request` - servlet request
    `response` - servlet response, in case any cookie need sending.
    `application` - servlet application
    `user` - the user name.
    `password` - the user's presented password.
    `allowCookie` - true if the user allows cookies for subsequent requests.
  Returns:
    the logged in principal on success, null on failure.

### isUserInRole

    public boolean isUserInRole(HttpServletRequest request,
                                java.security.Principal user,
                                java.lang.String role)
                         throws ServletException

  Deprecated.

  Returns true if the user plays the named role.
  Parameters:
    `request` - the request testing the role.
    `user` - the user's Principal.
    `role` - role name.

### logout

    public void logout(HttpServletRequest request)
                throws ServletException

  Deprecated.

  Logs the user out from the given request.

  Generally only called from user code.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD